<template>
  <p class="c-error" :class="align">{{ text }}</p>
</template>

<script>
export default {
  name: "ErrorMessage",
  props: {
    text: {
      type: String,
      required: true
    },
    align: String
  }
};
</script>

<style lang="scss">
.c-error {
  font-size: 1.4rem;
  color: $c-error;

  &.center {
    @include breakpoint(overPhone) {
      text-align: center;
    }
  }

  &.right {
    @include breakpoint(overPhone) {
      text-align: right;
    }
  }
}
</style>
